Jump to content
Sign in to follow this  
Branech

VoxATC and P3D V3

Recommended Posts

It sure seems like this might be the end of Vox. It has never taken Tegwyn this long for a version update and the lack of communication does not bode well. That's too bad. Vox was a very good ATC program.

I have to agree. No support for existing users. No updates for neigh on 12 months. No support for P3D V3 after 3 updates. Current and potential customers totally kept in the dark on whats happening. For the sake of 1 email this guy is letting it all slip away. You have to say that any reasonable person would have to consider this product abandoned. At 50quid I for one will not gamble on this product. Even if he responded, the horse has bolted, and there are other developers bending over backwards to get our money.


howevr

Share this post


Link to post
Share on other sites

The very least thing the developer could do, is to say sorry, but I quit. I don't even want him to give a reason. But I insist on a very basic polite behavior, so to not remain silent. Maybe he's sick or worse, so maybe one of his relatives or co-workers could give us a very small reaction.

Share this post


Link to post
Share on other sites

and there are other developers bending over backwards to get our money.

 

 

Only one, or two if you count promiseware, unfortunately. 


Petraeus

 

Share this post


Link to post
Share on other sites
The product is still for sale.

In my country if you sell a product you have to support it by law.

You need to remove the product from the market or is deceiving customers

Share this post


Link to post
Share on other sites

 

The product is still for sale.
In my country if you sell a product you have to support it by law.
You need to remove the product from the market or is deceiving customers

 

That is certainly true. It's important that the product is supported for as long as it's for sale. That is, any issues or bugs that turn up should be addressed. As far as updates for changes in the core sim, I would think that would be up to the developer. In Vox's case, it is compatible with FSX and P3D version 1.4 or 2. Anyone attempting to us it in P3Dv3 and having issues is on their own as that version of P3D is not supported. As I stated a few posts up, I'm concerned that this may be the end of the road for Vox because of the lack of communication.


NAX669.png

Share this post


Link to post
Share on other sites

I have emailed Tegwyn three weeks go and he has not bothered to reply yet, I would say that VoxATC is now abandoned.

Very sad as it is a very good product but the Devs attitude leaves a lot to be desired, this is not cheap software by any standards and its users deserves better support and communication.

 

Perhaps Avsim could press Tegwyn for a statement.

  • Upvote 1

Share this post


Link to post
Share on other sites

I think Tegwyn would not respond, a quick look up of Internal Working Ltd. on company check shows what looks like he has cashed out and is looking to dissolve the company. now it may be because of health grounds as he is 57/58 or some other reason.... its a shame it really is. I only recently bought his software but due to problems with FSX and FlyInside FSX i am having to use Prepar3d as the framerates are so much better for VR. but i miss Vox ATC.... i just wish we could get the source to work on if he's called it a day :)

Share this post


Link to post
Share on other sites

 

 


I think Tegwyn would not respond, a quick look up of Internal Working Ltd. on company check shows what looks like he has cashed out and is looking to dissolve the company.

 

If that is the case and he is no longer supporting the software he should withdraw VoxATC from sale

Share this post


Link to post
Share on other sites

Hi, everyone.

I'm not sure if this help, but I email RC Simulations Ltd. ,(on VoxAtc page FAQ at the botom of the page it says:

Is a disk version available

Yes, contact RC Simulations for more details.

 

The answer is:

 

Carol Sidwick <carol@rcsimulations.co.uk>

 
 
Today at 10:59
 
"Hi
 
There will be a Prepar3D Version coming 
 
Can't tell you when
 
The current one is still valid
 
Best Wishes
 

Carol"

Share this post


Link to post
Share on other sites

I went for Pro-ATC /X for P3D.  Well impressed with it and good support too.

 

Regards


Gareth Wilkinson

LEAL

Costa Blanca, SPAIN

Share this post


Link to post
Share on other sites

 

"Hi
 
There will be a Prepar3D Version coming

 

 

I hope he comes soon this new version. At least for me, VoxATC still the best ATC addon on the market (I have tried almost all)

 

Although I'm using Vox with p3d v3.2 satisfactorily with the migration tool, a new version will always bring a debugging some bugs

 

Regards

Share this post


Link to post
Share on other sites

"Hi

 

There will be a Prepar3D Version coming 

 

Can't tell you when

 

The current one is still valid

 

Which is clearly rubbish and Carol from RC Simulations should know better than to blow smoke up your a**.

There is already a P3D version, in this much she is correct but the current version is only compatible with P3D2.5 and so is no longer valid to those customers using 3.x

Share this post


Link to post
Share on other sites

Well gave up got pro atc instead


Colin hodds

I7 9700K,nvidia 3090 ,ssd ,32gig 3200mhz ram ,win10,prep3d

Share this post


Link to post
Share on other sites

Took a look at the home page of Vox and it now specifically states that it is not compatible with V3. Don't know if that's been there all along, but unfortunately he's making it very clear for prospective purchasers that you can't use Vox in V3. Sounds pretty much the same as when you go to purchase other flight sim programs elsewhere and they state the addon works only in V1.4 and 2.xx. Orbx has been very good at getting up to speed on V3,but still has addons they say won't work in V3. Hadn't heard any complaints about them. Tegwyn's just being up front now like most vendors are when it comes to version compatibility. I also haven't heard that other vendors are selling "abandonware" simply because they have not updated to V3. If you look at it that way, then there are heck of a lot of vendors that are selling abandonware.

  • Upvote 2

Forever indebted to the late Michael Greenblatt of FSGS.

 

 

 

Share this post


Link to post
Share on other sites

 

 


Tegwyn's just being up front now like most vendors are when it comes to version compatibility.

 

I emailed him asking about future V3 compatibility and he never bothered to reply, feel free to ask him yourself I would be interested to see if you get a reply.

 

If he has moved on then fair enough, we all have changes in our lives.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Tom Allensworth,
    Founder of AVSIM Online


  • Flight Simulation's Premier Resource!

    AVSIM is a free service to the flight simulation community. AVSIM is staffed completely by volunteers and all funds donated to AVSIM go directly back to supporting the community. Your donation here helps to pay our bandwidth costs, emergency funding, and other general costs that crop up from time to time. Thank you for your support!

    Click here for more information and to see all donations year to date.
  • Donation Goals

    AVSIM's 2020 Fundraising Goal

    Donate to our annual general fundraising goal. This donation keeps our doors open and providing you service 24 x 7 x 365. Your donation here helps to pay our bandwidth costs, emergency funding, and other general costs that crop up from time to time. We reset this goal every new year for the following year's goal.


    53%
    $13,405.00 of $25,000.00 Donate Now
×
×
  • Create New...